org.apache.solr.handler

## Class SolrConfigHandler

- java.lang.Object
- - org.apache.solr.handler.RequestHandlerBase
  - - org.apache.solr.handler.SolrConfigHandler

- All Implemented Interfaces:
    SolrInfoMBean, NestedRequestHandler, SolrRequestHandler, PermissionNameProvider, SolrCoreAware

      public class SolrConfigHandler
      extends RequestHandlerBase
      implements SolrCoreAware, PermissionNameProvider

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.solr.security.PermissionNameProvider

      `PermissionNameProvider.Name`

    - ### Nested classes/interfaces inherited from interface org.apache.solr.core.SolrInfoMBean

      `SolrInfoMBean.Category`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `configEditing_disabled`
    `static String` | `CONFIGSET_EDITING_DISABLED_ARG`
    `static String` | `CREATE`
    `static String` | `SET`
    `static String` | `SET_PROPERTY`
    `static String` | `SET_USER_PROPERTY`
    `static String` | `UNSET_PROPERTY`
    `static String` | `UNSET_USER_PROPERTY`
    `static String` | `UPDATE`

    - ### Fields inherited from class org.apache.solr.handler.RequestHandlerBase

      `appends, defaults, httpCaching, initArgs, invariants`

    - ### Fields inherited from interface org.apache.solr.security.PermissionNameProvider

      `ANY, NULL, values`

    - ### Fields inherited from interface org.apache.solr.request.SolrRequestHandler

      `TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolrConfigHandler()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static List<String>` | `getActiveReplicaCoreUrls(ZkController zkController, String collection)`
    `SolrInfoMBean.Category` | `getCategory()` Purpose of this Class
    `String` | `getDescription()` Simple one or two line description
    `static boolean` | `getImmutable(SolrCore core)`
    `PermissionNameProvider.Name` | `getPermissionName(AuthorizationContext ctx)`
    `SolrRequestHandler` | `getSubHandler(String path)` Return a RequestHandler to handle a subpath from the path this handler is registered.
    `String` | `getVersion()` Simple common usage version, e.g.
    `void` | `handleRequestBody(SolrQueryRequest req, SolrQueryResponse rsp)`
    `void` | `inform(SolrCore core)`
    `static void` | `setWt(SolrQueryRequest req, String wt)`
    `static String` | `validateName(String s)`

    - ### Methods inherited from class org.apache.solr.handler.RequestHandlerBase

      `getDocs, getInitArgs, getName, getPluginInfo, getRequestHandler, getSolrParamsFromNamedList, getSource, getStatistics, handleRequest, init, setPluginInfo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONFIGSET_EDITING_DISABLED_ARG

          public static final String CONFIGSET_EDITING_DISABLED_ARG

      See Also:
        Constant Field Values

    - #### configEditing_disabled

          public static final boolean configEditing_disabled

    - #### SET_PROPERTY

          public static final String SET_PROPERTY

      See Also:
        Constant Field Values

    - #### UNSET_PROPERTY

          public static final String UNSET_PROPERTY

      See Also:
        Constant Field Values

    - #### SET_USER_PROPERTY

          public static final String SET_USER_PROPERTY

      See Also:
        Constant Field Values

    - #### UNSET_USER_PROPERTY

          public static final String UNSET_USER_PROPERTY

      See Also:
        Constant Field Values

    - #### SET

          public static final String SET

      See Also:
        Constant Field Values

    - #### UPDATE

          public static final String UPDATE

      See Also:
        Constant Field Values

    - #### CREATE

          public static final String CREATE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SolrConfigHandler

          public SolrConfigHandler()

  - ### Method Detail

    - #### handleRequestBody

          public void handleRequestBody(SolrQueryRequest req,
                                        SolrQueryResponse rsp)
                                 throws Exception

      Specified by:
        `handleRequestBody` in class `RequestHandlerBase`
      Throws:
        `Exception`

    - #### inform

          public void inform(SolrCore core)

      Specified by:
        `inform` in interface `SolrCoreAware`

    - #### getImmutable

          public static boolean getImmutable(SolrCore core)

    - #### validateName

          public static String validateName(String s)

    - #### setWt

          public static void setWt(SolrQueryRequest req,
                                   String wt)

    - #### getSubHandler

          public SolrRequestHandler getSubHandler(String path)

      Description copied from interface: `NestedRequestHandler`
      Return a RequestHandler to handle a subpath from the path this handler is registered.
      Specified by:
        `getSubHandler` in interface `NestedRequestHandler`
      Overrides:
        `getSubHandler` in class `RequestHandlerBase`

    - #### getDescription

          public String getDescription()

      Description copied from interface: `SolrInfoMBean`
      Simple one or two line description
      Specified by:
        `getDescription` in interface `SolrInfoMBean`
      Specified by:
        `getDescription` in class `RequestHandlerBase`

    - #### getVersion

          public String getVersion()

      Description copied from interface: `SolrInfoMBean`
      Simple common usage version, e.g. 2.0
      Specified by:
        `getVersion` in interface `SolrInfoMBean`
      Overrides:
        `getVersion` in class `RequestHandlerBase`

    - #### getCategory

          public SolrInfoMBean.Category getCategory()

      Description copied from interface: `SolrInfoMBean`
      Purpose of this Class
      Specified by:
        `getCategory` in interface `SolrInfoMBean`
      Overrides:
        `getCategory` in class `RequestHandlerBase`

    - #### getActiveReplicaCoreUrls

          public static List<String> getActiveReplicaCoreUrls(ZkController zkController,
                                                              String collection)

    - #### getPermissionName

          public PermissionNameProvider.Name getPermissionName(AuthorizationContext ctx)

      Specified by:
        `getPermissionName` in interface `PermissionNameProvider`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.